<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
     version="1.0">
<xsl:output method="xml" omit-xml-declaration="yes" indent="no"/>
<?startSampleFile ?>
<!-- u39b.xsl: converts u39a.xml into u39c -->

<xsl:template match="list">
~~~~ Start of list element's template  ~~~~
1. List price (current node): {<xsl:apply-templates/>}
2. Parent element (prices) contents: {<xsl:value-of select=".."/>}
3. Grandparent element contents: {<xsl:value-of select="../.."/>}
4. Attribute of grandparent: {<xsl:value-of select="../../@grape"/>}
5. Sibling node {<xsl:value-of select="../discounted"/>}
6. "Uncle" node {<xsl:value-of select="../../product"/>}
7.  Parent node's name: {<xsl:value-of select="name(..)"/>}
8.  Grandparent node's name: {<xsl:value-of select="name(../..)"/>}
~~~~ End of list element's template  ~~~~
</xsl:template>

<?endSampleFile ?>

</xsl:stylesheet>
